#pragma once
#include "Entity.h"
//检测存档xxx 然后显示游戏难度的实体
#define MENUTEXTSLOTDIFFICULTY_CREATENAME L"menutext_slotdifficulty"
class MenuTextSlotDifficulty :
    public Entity
{
public:
    MenuTextSlotDifficulty();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void ReloadLanguage() override;
private:
    bool bOnce = true;
};

std::shared_ptr<Entity> CreateMenuTextSlotDifficulty();